Integration With Issue-Tracking Systems - Requirements

Applies to TestExecute 14.80, last modified on April 13, 2021

Microsoft Visual Studio Team System

The following versions of the Team Foundation Server are required:

  • Team Foundation Server 2010–2018 On-Premises.

    Note: Support for Team Foundation Server 2010–2013 is deprecated. It will be removed in one of the future product versions.

The following software must to be installed on your computer:

  • Microsoft .NET Framework ver. 2.0.

  • Team Explorer of Microsoft Visual Studio 2010–2017 (TestExecute works with Team System issue-tracking database via interfaces provided by Visual Studio Team Explorer).

    Currently, TestExecute does not support the Microsoft Visual Studio Team System 2015 issue-tracking system on machines where Microsoft Team Foundation Server 2015 is installed.
Known Issue

If Visual Studio 2012 or earlier is installed on your computer, you may get the following error when connecting to your Team Foundation Server:

The program can't start because MSVCR120.dll is missing from your computer. Try reinstalling the program to fix this problem.

To resolve the problem, install Visual C++ Redistributable Packages for Visual Studio 2013 on your computer. You can download the packages from the Microsoft web site:

Visual C++ Redistributable Packages for Visual Studio 2013

Bugzilla

For the following versions of Bugzilla, it must be installed on the server computer that hosts the needed database:

  • Bugzilla 3.0.3, 3.4, 3.6, 4.0, 4.2 or 4.4

See Also

Integration With Issue-Tracking Systems - Overview
Creating Issue-Tracking Templates

Highlight search results